| wossoperation

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find programs by EDAM operation

## Description

wossoperation searches the annotation of applications in ACD files, using terms from the EDAM ontology. There are various options for controlling how the search is performed and what is given in the output file. Optionally, the output will be wrapped in HTML tags ready for inclusion in a Web page.

## Algorithm

The first search is of the EDAM ontology operation namespace, using the term names and their synonynms. All child terms are automatically included in the set of matches inless the `-nosubclasses` qualifier is used.

The `-sensitive` qualifier also searches the definition strings.

The set of EDAM terms are then compared to relations in the ACD file, where the application definition requires EDAM operation annotation.

## Usage

Here is a sample session with wossoperation

Search for programs with 'codon' in their operation:

    % wossoperation codon
    Find programs by EDAM operation

    SEARCH FOR OPERATION 'CODON'
    cai     Calculate codon adaptation index
    chips   Calculate Nc codon usage statistic
    codcmp  Codon usage table comparison
    codcopy Copy and reformat a codon usage table
    cusp    Create a codon usage table from nucleotide sequence(s)
    syco    Draw synonymous codon usage statistic plot for a nucleotide sequence
    wobble  Plot third base position variability in a nucleotide sequence

## Command line arguments

    Find programs by EDAM operation
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-identifier]        string     Identifier(s) to search for in ontology (Any
                                      string)

       Additional (Optional) qualifiers:
       -explode            boolean    [N] The groups that EMBOSS applications
                                      belong to have two forms, exploded and not
                                      exploded. The exploded group names are more
                                      numerous and often vaguely phrased than the
                                      non-exploded ones. The exploded names are
                                      formed from definitions of the group names
                                      that start like NAME1:NAME2 and which are
                                      then expanded into many combinations of the
                                      names as: 'NAME1', 'NAME2', 'NAME1 NAME2',
                                      NAME2 NAME1'. The non-expanded names are
                                      simply like: 'NAME1 NAME2'.
       -showkeywords       boolean    [N] Show keywords with program documentation
       -outfile            outfile    [stdout] Tool metadata output file
       -html               toggle     [N] If you are sending the output to a file,
                                      this will format it for displaying as a
                                      table in a WWW document.
       -groups             boolean    [N] If you use this option, then only the
                                      group names will be output to the file
       -alphabetic         boolean    [N] If you use this option, then you will
                                      get a single list of the program names and
                                      descriptions instead of the programs being
                                      listed in their functional groups.

       Advanced (Unprompted) qualifiers:
       -sensitive          boolean    [N] By default, the query keywords are
                                      matched against the EDAM term names (and
                                      synonyms) only. This option also matches the
                                      keywords against the EDAM term definitions
                                      and will therefore (typically) report more
                                      matches.
       -[no]subclasses     boolean    [Y] Extend the query matches to include all
                                      terms which are specialisations (EDAM
                                      sub-classes) of the matched type.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.
       -[no]emboss         boolean    [Y] If you use this option then EMBOSS
                                      program documentation will be searched. If
                                      this option is set to be false, then only
                                      the EMBASSY programs will be searched (if
                                      the -embassy option is true). EMBASSY
                                      programs are not strictly part of EMBOSS,
                                      but use the same code libraries and share
                                      the same look and feel, but are generally
                                      developed by people who wish the programs to
                                      be outside of the GNU Public Licence scheme
       -[no]embassy        boolean    [Y] If you use this option then EMBASSY
                                      program documentation will be searched. If
                                      this option is set to be false, then only
                                      the EMBOSS programs will be searched (if the
                                      -emboss option is true). EMBASSY programs
                                      are not strictly part of EMBOSS, but use the
                                      same code libraries and share the same look
                                      and feel, but are generally developed by
                                      people who wish the programs to be outside
                                      of the GNU Public Licence scheme
       -showembassy        string     If you use this option then this EMBASSY
                                      package program documentation will be
                                      searched. EMBASSY programs are not strictly
                                      part of EMBOSS, but use the same code
                                      libraries and share the same look and feel,
                                      but are generally developed by people who
                                      wish the programs to be outside of the GNU
                                      Public Licence scheme (Any string)
       -colon              boolean    [N] The groups that EMBOSS applications
                                      belong to up to two levels, for example the
                                      primary group 'ALIGNMENT' has several
                                      sub-groups, or second-level groups, e.g.:
                                      CONSENSUS, DIFFERENCES, DOT PLOTS, GLOBAL,
                                      LOCAL, MULTIPLE. To aid programs that parse
                                      the output of wossname that require the
                                      names of these subgroups, a colon ':' will
                                      be placed between the first and second level
                                      of the group name if this option is true.
                                      Note: This does not apply if the group names
                                      have been exploded with the 'explode'
                                      option.
       -gui                boolean    [N] This option is intended to help those
                                      who are designing Graphical User Interfaces
                                      to the EMBOSS applications. Some EMBOSS
                                      programs are inappropriate for running in a
                                      GUI, these include other menu programs and
                                      interactive editors. This option allows you
                                      to only report those programs that can be
                                      run from a GUI

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-identifier] (Parameter 1) | string | Identifier(s) to search for in ontology | Any string |
Additional (Optional) qualifiers

-explode

boolean

The groups that EMBOSS applications belong to have two forms, exploded and not exploded. The exploded group names are more numerous and often vaguely phrased than the non-exploded ones. The exploded names are formed from definitions of the group names that start like NAME1:NAME2 and which are then expanded into many combinations of the names as: 'NAME1', 'NAME2', 'NAME1 NAME2', NAME2 NAME1'. The non-expanded names are simply like: 'NAME1 NAME2'.

Boolean value Yes/No

No

-showkeywords | boolean | Show keywords with program documentation | Boolean value Yes/No | No
-outfile | outfile | Tool metadata output file | Output file | stdout
-html | toggle | If you are sending the output to a file, this will format it for displaying as a table in a WWW document. | Toggle value Yes/No | No
-groups | boolean | If you use this option, then only the group names will be output to the file | Boolean value Yes/No | No
-alphabetic | boolean | If you use this option, then you will get a single list of the program names and descriptions instead of the programs being listed in their functional groups. | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
-sensitive | boolean | By default, the query keywords are matched against the EDAM term names (and synonyms) only. This option also matches the keywords against the EDAM term definitions and will therefore (typically) report more matches. | Boolean value Yes/No | No
-[no]subclasses | boolean | Extend the query matches to include all terms which are specialisations (EDAM sub-classes) of the matched type. | Boolean value Yes/No | Yes
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No

-[no]emboss

boolean

If you use this option then EMBOSS program documentation will be searched. If this option is set to be false, then only the EMBASSY programs will be searched (if the -embassy option is true). EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU Public Licence scheme

Boolean value Yes/No

Yes

-[no]embassy

boolean

If you use this option then EMBASSY program documentation will be searched. If this option is set to be false, then only the EMBOSS programs will be searched (if the -emboss option is true). EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU Public Licence scheme

Boolean value Yes/No

Yes

-showembassy | string | If you use this option then this EMBASSY package program documentation will be searched. EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU Public Licence scheme | Any string |

-colon

boolean

The groups that EMBOSS applications belong to up to two levels, for example the primary group 'ALIGNMENT' has several sub-groups, or second-level groups, e.g.: CONSENSUS, DIFFERENCES, DOT PLOTS, GLOBAL, LOCAL, MULTIPLE. To aid programs that parse the output of wossname that require the names of these subgroups, a colon ':' will be placed between the first and second level of the group name if this option is true. Note: This does not apply if the group names have been exploded with the 'explode' option.

Boolean value Yes/No

No

-gui | boolean | This option is intended to help those who are designing Graphical User Interfaces to the EMBOSS applications. Some EMBOSS programs are inappropriate for running in a GUI, these include other menu programs and interactive editors. This option allows you to only report those programs that can be run from a GUI | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

wossoperation reads the brief descriptions and the program groups from the ACD files. (ACD files control the parameters that the programs expect - don't worry about them unless you are writing EMBOSS programs).

## Output file format

The results are written out as a simple list of program names and short descriptions.

## Data files

The EDAM Ontology is included in EMBOSS as local database edam.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
drfinddata | Find public databases by data type
drfindformat | Find public databases by format
drfindid | Find public databases by identifier
drfindresource | Find public databases by resource
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
seealso | Find programs with similar function to a specified program
tfm | Display full documentation for an application
wossdata | Find programs by EDAM data
wossinput | Find programs by EDAM input data
wossname | Find programs by keywords in their short description
wossoutput | Find programs by EDAM output data
wossparam | Find programs by EDAM parameter
wosstopic | Find programs by EDAM topic

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None